View Issue Details

IDProjectCategoryView StatusLast Update
0005986Talermechant backendpublic2020-10-03 14:10
ReporterFlorian Dold Assigned ToMS  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0005986: merchant backend should support more efficient "payment re-play" for session-bound payments
DescriptionRight now, the wallet needs to send the whole list of signed coins together with the new session ID, even if the order has been fully paid for.

Instead, the /pay API should accept a request body that just contains (1) the contract terms hash and (2) the new session ID. The merchant backend must check if the order corresponding to the contract terms hash has been paid, and then store the new session ID.
TagsNo tags attached.

Activities

Florian Dold

2020-09-08 13:56

manager   ~0016918

This is already fixed and implemented via the POST /orders/{order_id}/paid API

Issue History

Date Modified Username Field Change
2019-12-05 22:29 Florian Dold New Issue
2019-12-05 22:29 Florian Dold Status new => assigned
2019-12-05 22:29 Florian Dold Assigned To => Marcello Stanisci
2020-09-04 14:39 MS Assigned To Marcello Stanisci => MS
2020-09-08 13:56 Florian Dold Status assigned => resolved
2020-09-08 13:56 Florian Dold Resolution open => fixed
2020-09-08 13:56 Florian Dold Note Added: 0016918
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8